#cloud-config
autoinstall:
    version: 1
    identity:
        hostname: not-configured
        username: ansible
        password: $y$j9T$7kq5N4o6BfyRUrsSdco.10$O9EKPLd/GB5E0OfoxnKCoqU/CkpvmfXb3FCuSndwqL4
    locale: en_US
    timezone: America/New_York
    keyboard:
      layout: us
    network:
      ethernets:
        eth0:
          dhcp4: true
    storage:
      layout:
        name: lvm
    ssh:
      install-server: true
      authorized-keys:
        - ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDX9WJcZ7I8w6SsYGAJWh/wz0iNHbOiJkvJrRlyQQemJw/7EP2vZ+5kz9WbbAqV9MayXLiAmtf06rwa19szZkHTXQK7TXjtQM7MYY9ef5WUvt6iZYnGA7J8d1+fvPGhX3V4C2/oOP9/u/1f2U7NEq0UOCFDg5wFw1saTqoRoAYR8zotsRNLn2JSAIeoHmE1poAOJSJyuqJM1PESBuDVPamOWtVnTbP+CioQhNVKcUvhPWpNfveeHpqKcCGrdykd383kEHu9JA/cHLl7jTpFqKLoPrMDMrcCnp1bDC1TZlUj5XgB0egKo/JyqJ8iFs2FXTsm2LnyLLerqYD65qeOnLYF smarcus@steven-marcuss-imac.local
      allow-pw: true
    packages:
      - qemu-guest-agent
      - ntpdate
      - zsh
      - tree
    late-commands:
      - echo "ansible         ALL=(ALL)       NOPASSWD: ALL" > /etc/ssh/sshd_config.d/20-ansible.conf
      - mkdir /root/os-update

    

